----------------------------------------------------------------------------
----------------------------------------------------------------------------
--Limits player build and research based on class or era
----------------------------------------------------------------------------
----------------------------------------------------------------------------
function buildlimitRule()
	local playerIndex = 0
	local playerCount = Universe_PlayerCount()
	while (playerIndex < playerCount) do
		local temp_race = Player_GetRace(playerIndex) 
		if (Player_IsAlive(playerIndex) == 1) then
			if (era ~= "FUNLIMITED") then
				if (era == "LIMITED") then
        				if(temp_race==6) then
						print("OMGWTF")
Player_RestrictBuildOption(playerIndex,"Imp_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Imp_Allegiance_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Assassin_Corvette")
Player_RestrictBuildOption(playerIndex,"Imp_Assault_Gunboat")
Player_RestrictBuildOption(playerIndex,"Imp_Assault_Transport")
Player_RestrictBuildOption(playerIndex,"Imp_Bayonet_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Cloak_Probe")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Corvette")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Gunship")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Heavy_Gunship")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Light_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Lt_Gunship")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Patrol_Ship")
Player_RestrictBuildOption(playerIndex,"Imp_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Dominator_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Dreadnaught")
Player_RestrictBuildOption(playerIndex,"Imp_ECM_Probe")
Player_RestrictBuildOption(playerIndex,"Imp_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Escort_Shuttle")
Player_RestrictBuildOption(playerIndex,"Imp_Escort_Transport")
Player_RestrictBuildOption(playerIndex,"Imp_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Imp_Guardian_Light_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Gun_Turret")
Player_RestrictBuildOption(playerIndex,"Imp_Harrow_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Hyperspace_Detector")
Player_RestrictBuildOption(playerIndex,"Imp_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_III_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Ion_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_Ion_Turret")
Player_RestrictBuildOption(playerIndex,"Imp_Missile_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_mothership")
Player_RestrictBuildOption(playerIndex,"Imp_Nebulon_B_2_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Nebulon_B_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Perimeter_Defense")
Player_RestrictBuildOption(playerIndex,"Imp_Preybird")
Player_RestrictBuildOption(playerIndex,"Imp_Proximity_Sensor")
Player_RestrictBuildOption(playerIndex,"Imp_Repair_Droid")
Player_RestrictBuildOption(playerIndex,"Imp_Research_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_resourcecollector")
Player_RestrictBuildOption(playerIndex,"Imp_resourcecontroller")
Player_RestrictBuildOption(playerIndex,"Imp_Skipray_Blastboat")
Player_RestrictBuildOption(playerIndex,"Imp_Sovereign_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Droid")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Phantom")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Raptor")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Sentinal")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Vanguard")
Player_RestrictBuildOption(playerIndex,"Imp_Titan_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Torpedo_Sphere")
Player_RestrictBuildOption(playerIndex,"Imp_Tyrant_Missile_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Vengence_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Victory_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_World_Devastator")
Player_RestrictBuildOption(playerIndex,"Imp_Missile_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_XQ_1_Platform")


Player_RestrictResearchOption(playerIndex,"HEAVY_ROCKETS")
Player_RestrictResearchOption(playerIndex,"ROCKETSALVO")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESI")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESII")
Player_RestrictResearchOption(playerIndex,"SENSOR_STEALTH")
Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"Ben_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Ben_Action_IV")
Player_RestrictBuildOption(playerIndex,"Ben_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Ben_Assault_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Assault_Transport")
Player_RestrictBuildOption(playerIndex,"Ben_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Bayonet_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Bulk_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Bulwark_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Bulwark2_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Carrack_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_CC7700_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_CC9600_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Cloak_Probe")
Player_RestrictBuildOption(playerIndex,"Ben_Cloakshape")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Corvette")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Heavy_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Light_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Lt_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Patrol_Ship")
Player_RestrictBuildOption(playerIndex,"Ben_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Ben_DestroyerShipyard")
Player_RestrictBuildOption(playerIndex,"Ben_Dreadnaught")
Player_RestrictBuildOption(playerIndex,"Ben_ECM_Probe")
Player_RestrictBuildOption(playerIndex,"Ben_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Escort_Shuttle")
Player_RestrictBuildOption(playerIndex,"Ben_Escort_Carrier")
Player_RestrictBuildOption(playerIndex,"Ben_Escort_Transport")
Player_RestrictBuildOption(playerIndex,"Ben_FighterShipyard")
Player_RestrictBuildOption(playerIndex,"Ben_Galofree_Transport")
Player_RestrictBuildOption(playerIndex,"Ben_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Ben_Gun_Turret")
Player_RestrictBuildOption(playerIndex,"Ben_Guardian_Light_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Heavy_Corvette")
Player_RestrictBuildOption(playerIndex,"Ben_Hyperspace_Detector")
Player_RestrictBuildOption(playerIndex,"Ben_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Ben_Ion_Platform")
Player_RestrictBuildOption(playerIndex,"Ben_Ion_Turret")
Player_RestrictBuildOption(playerIndex,"Ben_Lambda_Shuttle")
Player_RestrictBuildOption(playerIndex,"Ben_Long_Probe_Y_wing")
Player_RestrictBuildOption(playerIndex,"Ben_Loronar_Strike_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Marauder_Corvette")
Player_RestrictBuildOption(playerIndex,"Ben_Mining_Ship")
Player_RestrictBuildOption(playerIndex,"Ben_Missile_Platform")
Player_RestrictBuildOption(playerIndex,"Ben_Mole_Miner")
Player_RestrictBuildOption(playerIndex,"Ben_Nebulon_B_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Perimeter_Defense")
Player_RestrictBuildOption(playerIndex,"Ben_Preybird")
Player_RestrictBuildOption(playerIndex,"Ben_Proximity_Sensor")
Player_RestrictBuildOption(playerIndex,"Ben_Quasar_Fire")
Player_RestrictBuildOption(playerIndex,"Ben_R41")
Player_RestrictBuildOption(playerIndex,"Ben_Ranger_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Repair_Droid")
Player_RestrictBuildOption(playerIndex,"Ben_resourcecollector")
Player_RestrictBuildOption(playerIndex,"Ben_resourcecontroller")
Player_RestrictBuildOption(playerIndex,"Ben_Skipray_Blastboat")
Player_RestrictBuildOption(playerIndex,"Ben_System_Patrol_Craft")
Player_RestrictBuildOption(playerIndex,"Ben_T_Wing")
Player_RestrictBuildOption(playerIndex,"Ben_Tiewing")
Player_RestrictBuildOption(playerIndex,"Ben_Victory_I_Destroyer")
Player_RestrictBuildOption(playerIndex,"Ben_Victory_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Ben_XQ_1_Platform")
Player_RestrictBuildOption(playerIndex,"Ben_XTIE")
Player_RestrictBuildOption(playerIndex,"Ben_Y_wing")
Player_RestrictBuildOption(playerIndex,"Ben_YTIE")

Player_RestrictResearchOption(playerIndex,"HEAVY_ROCKETS")
Player_RestrictResearchOption(playerIndex,"ROCKETSALVO")
Player_RestrictResearchOption(playerIndex,"SPACE_TROOPERS")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESI")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESII")
Player_RestrictResearchOption(playerIndex,"SENSOR_STEALTH")
Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Bulwark_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_CC9600_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Cloak_Probe")
Player_RestrictBuildOption(playerIndex,"Reb_Cloakshape")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Heavy_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Light_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Lt_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Patrol_Ship")
Player_RestrictBuildOption(playerIndex,"Reb_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Defender_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_ECM_Probe")
Player_RestrictBuildOption(playerIndex,"Reb_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Endurance_Carrier")
Player_RestrictBuildOption(playerIndex,"Reb_Escort_Transport")
Player_RestrictBuildOption(playerIndex,"Reb_Ferret")
Player_RestrictBuildOption(playerIndex,"Reb_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Reb_Gun_Turret")
Player_RestrictBuildOption(playerIndex,"Reb_Haaj_Fleet_Tender")
Player_RestrictBuildOption(playerIndex,"Reb_Hapan_Battle_Dragon")
Player_RestrictBuildOption(playerIndex,"Reb_Heavy_Corvette")
Player_RestrictBuildOption(playerIndex,"Reb_Hyperspace_Detector")
Player_RestrictBuildOption(playerIndex,"Reb_Ion_Platform")
Player_RestrictBuildOption(playerIndex,"Reb_Ion_Turret")
Player_RestrictBuildOption(playerIndex,"Reb_Lambda_Shuttle")
Player_RestrictBuildOption(playerIndex,"Reb_Liberator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Loronar_Strike_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Marauder_Corvette")
Player_RestrictBuildOption(playerIndex,"Reb_MC40_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC60_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80a_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80c_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Mediator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Missile_Platform")
Player_RestrictBuildOption(playerIndex,"Reb_Nebula_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Perimeter_Defense")
Player_RestrictBuildOption(playerIndex,"Reb_Proximity_Sensor")
Player_RestrictBuildOption(playerIndex,"Reb_R41")
Player_RestrictBuildOption(playerIndex,"Reb_Ranger_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Repair_Droid")
Player_RestrictBuildOption(playerIndex,"Reb_Republic_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_resourcecollector")
Player_RestrictBuildOption(playerIndex,"Reb_resourcecontroller")
Player_RestrictBuildOption(playerIndex,"Reb_Sacheen_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Skipray_Blastboat")
Player_RestrictBuildOption(playerIndex,"Reb_T_Wing")
Player_RestrictBuildOption(playerIndex,"Reb_Warrior_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_XJ_Wing")
Player_RestrictBuildOption(playerIndex,"Reb_XQ_1_Platform")

Player_RestrictResearchOption(playerIndex,"ROCKETSALVO")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESI")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESII")
Player_RestrictResearchOption(playerIndex,"SENSOR_STEALTH")
end
elseif (era == "NOBUILD") then
if(temp_race==6) then

Player_RestrictBuildOption(playerIndex,"Imp_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Imp_Allegiance_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Assassin_Corvette")
Player_RestrictBuildOption(playerIndex,"Imp_Assault_Gunboat")
Player_RestrictBuildOption(playerIndex,"Imp_Assault_Shuttle")
Player_RestrictBuildOption(playerIndex,"Imp_Assault_Transport")
Player_RestrictBuildOption(playerIndex,"Imp_Bayonet_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Carrack_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Cloak_Probe")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Corvette")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Gunship")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Heavy_Gunship")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Light_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Lt_Gunship")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Patrol_Ship")
Player_RestrictBuildOption(playerIndex,"Imp_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Imp_DestroyerShipyard")
Player_RestrictBuildOption(playerIndex,"Imp_Dominator_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Dreadnaught")
Player_RestrictBuildOption(playerIndex,"Imp_ECM_Probe")
Player_RestrictBuildOption(playerIndex,"Imp_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Enforcer_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Escort_Carrier")
Player_RestrictBuildOption(playerIndex,"Imp_Escort_Shuttle")
Player_RestrictBuildOption(playerIndex,"Imp_Escort_Transport")
Player_RestrictBuildOption(playerIndex,"Imp_Executor_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_FighterShipyard")
Player_RestrictBuildOption(playerIndex,"Imp_Golan_III_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Imp_Guardian_Light_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Gun_Turret")
Player_RestrictBuildOption(playerIndex,"Imp_Harrow_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Heavy_Corvette")
Player_RestrictBuildOption(playerIndex,"Imp_Hyperspace_Detector")
Player_RestrictBuildOption(playerIndex,"Imp_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Imp_Immobilizer_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_III_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Ion_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_Ion_Turret")
Player_RestrictBuildOption(playerIndex,"Imp_Lambda_Shuttle")
Player_RestrictBuildOption(playerIndex,"Imp_Lancer_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Loronar_Strike_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Mining_Ship")
Player_RestrictBuildOption(playerIndex,"Imp_Missile_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_Modular_Taskforce_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Mole_Miner")
Player_RestrictBuildOption(playerIndex,"Imp_mothership")
Player_RestrictBuildOption(playerIndex,"Imp_Nebulon_B_2_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Nebulon_B_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Omicron_Transport")
Player_RestrictBuildOption(playerIndex,"Imp_Perimeter_Defense")
Player_RestrictBuildOption(playerIndex,"Imp_Preybird")
Player_RestrictBuildOption(playerIndex,"Imp_Probe")
Player_RestrictBuildOption(playerIndex,"Imp_Proximity_Sensor")
Player_RestrictBuildOption(playerIndex,"Imp_Repair_Droid")
Player_RestrictBuildOption(playerIndex,"Imp_Research_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_resourcecollector")
Player_RestrictBuildOption(playerIndex,"Imp_resourcecontroller")
Player_RestrictBuildOption(playerIndex,"Imp_Skipray_Blastboat")
Player_RestrictBuildOption(playerIndex,"Imp_Sovereign_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_System_Patrol_Craft")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Avenger")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Bomber")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Defender")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Droid")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Fighter")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Interceptor")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Phantom")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Raptor")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Sentinal")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Vanguard")
Player_RestrictBuildOption(playerIndex,"Imp_Titan_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Torpedo_Sphere")
Player_RestrictBuildOption(playerIndex,"Imp_Tyrant_Missile_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Vengence_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Victory_I_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Victory_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_World_Devastator")
Player_RestrictBuildOption(playerIndex,"Imp_Missile_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_XQ_1_Platform")

Player_RestrictResearchOption(playerIndex,"FIGHTER_DESIGNSI")
Player_RestrictResearchOption(playerIndex,"FIGHTER_DESIGNSII")
Player_RestrictResearchOption(playerIndex,"FIGHTER_DESIGNSIII")
Player_RestrictResearchOption(playerIndex,"CORVETTE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_CORVETTE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"FRIGATE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_FRIGATE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"ADV_DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"PLATFORM_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_PLATFORM_DESIGNS")
Player_RestrictResearchOption(playerIndex,"TURBOLASERSI")
Player_RestrictResearchOption(playerIndex,"TURBOLASERSII")
Player_RestrictResearchOption(playerIndex,"TURBOLASERSIII")
Player_RestrictResearchOption(playerIndex,"ION_CANNONSI")
Player_RestrictResearchOption(playerIndex,"ION_CANNONSII")
Player_RestrictResearchOption(playerIndex,"CONCUSSION_MISSILESI")
Player_RestrictResearchOption(playerIndex,"CONCUSSION_MISSILESII")
Player_RestrictResearchOption(playerIndex,"CONCUSSION_MISSILESIII")
Player_RestrictResearchOption(playerIndex,"PROTON_TORPEDOSI")
Player_RestrictResearchOption(playerIndex,"PROTON_TORPEDOSII")
Player_RestrictResearchOption(playerIndex,"HEAVY_ROCKETS")
Player_RestrictResearchOption(playerIndex,"TORPEDOSALVO")
Player_RestrictResearchOption(playerIndex,"ROCKETSALVO")
Player_RestrictResearchOption(playerIndex,"GRAV_WELLS")
Player_RestrictResearchOption(playerIndex,"SPACE_TROOPERS")
Player_RestrictResearchOption(playerIndex,"ADV_TECH")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESI")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESII")
Player_RestrictResearchOption(playerIndex,"SENSOR_STEALTH")
Player_RestrictResearchOption(playerIndex,"RAPID_FIRE_LASERS")
Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"Ben_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Ben_Action_IV")
Player_RestrictBuildOption(playerIndex,"Ben_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Ben_Assault_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Assault_Transport")
Player_RestrictBuildOption(playerIndex,"Ben_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Bayonet_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Bulk_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Bulwark_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Bulwark2_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Carrack_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_CC7700_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_CC9600_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Cloak_Probe")
Player_RestrictBuildOption(playerIndex,"Ben_Cloakshape")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Corvette")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Heavy_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Light_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Lt_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Patrol_Ship")
Player_RestrictBuildOption(playerIndex,"Ben_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Ben_DestroyerShipyard")
Player_RestrictBuildOption(playerIndex,"Ben_Dreadnaught")
Player_RestrictBuildOption(playerIndex,"Ben_ECM_Probe")
Player_RestrictBuildOption(playerIndex,"Ben_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Escort_Shuttle")
Player_RestrictBuildOption(playerIndex,"Ben_Escort_Carrier")
Player_RestrictBuildOption(playerIndex,"Ben_Escort_Transport")
Player_RestrictBuildOption(playerIndex,"Ben_FighterShipyard")
Player_RestrictBuildOption(playerIndex,"Ben_Galofree_Transport")
Player_RestrictBuildOption(playerIndex,"Ben_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Ben_Gun_Turret")
Player_RestrictBuildOption(playerIndex,"Ben_Guardian_Light_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Heavy_Corvette")
Player_RestrictBuildOption(playerIndex,"Ben_Hyperspace_Detector")
Player_RestrictBuildOption(playerIndex,"Ben_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Ben_Ion_Platform")
Player_RestrictBuildOption(playerIndex,"Ben_Ion_Turret")
Player_RestrictBuildOption(playerIndex,"Ben_Lambda_Shuttle")
Player_RestrictBuildOption(playerIndex,"Ben_Long_Probe_Y_wing")
Player_RestrictBuildOption(playerIndex,"Ben_Loronar_Strike_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Marauder_Corvette")
Player_RestrictBuildOption(playerIndex,"Ben_Mining_Ship")
Player_RestrictBuildOption(playerIndex,"Ben_Missile_Platform")
Player_RestrictBuildOption(playerIndex,"Ben_Mole_Miner")
Player_RestrictBuildOption(playerIndex,"Ben_Nebulon_B_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Perimeter_Defense")
Player_RestrictBuildOption(playerIndex,"Ben_Preybird")
Player_RestrictBuildOption(playerIndex,"Ben_Proximity_Sensor")
Player_RestrictBuildOption(playerIndex,"Ben_Quasar_Fire")
Player_RestrictBuildOption(playerIndex,"Ben_R41")
Player_RestrictBuildOption(playerIndex,"Ben_Ranger_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Repair_Droid")
Player_RestrictBuildOption(playerIndex,"Ben_resourcecollector")
Player_RestrictBuildOption(playerIndex,"Ben_resourcecontroller")
Player_RestrictBuildOption(playerIndex,"Ben_Skipray_Blastboat")
Player_RestrictBuildOption(playerIndex,"Ben_System_Patrol_Craft")
Player_RestrictBuildOption(playerIndex,"Ben_T_Wing")
Player_RestrictBuildOption(playerIndex,"Ben_Tiewing")
Player_RestrictBuildOption(playerIndex,"Ben_Victory_I_Destroyer")
Player_RestrictBuildOption(playerIndex,"Ben_Victory_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Ben_XQ_1_Platform")
Player_RestrictBuildOption(playerIndex,"Ben_XTIE")
Player_RestrictBuildOption(playerIndex,"Ben_Y_wing")
Player_RestrictBuildOption(playerIndex,"Ben_YTIE")

Player_RestrictResearchOption(playerIndex,"FIGHTER_DESIGNSI")
Player_RestrictResearchOption(playerIndex,"FIGHTER_DESIGNSII")
Player_RestrictResearchOption(playerIndex,"FIGHTER_DESIGNSIII")
Player_RestrictResearchOption(playerIndex,"CORVETTE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_CORVETTE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"FRIGATE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_FRIGATE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"ADV_DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"PLATFORM_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_PLATFORM_DESIGNS")
Player_RestrictResearchOption(playerIndex,"TURBOLASERSI")
Player_RestrictResearchOption(playerIndex,"TURBOLASERSII")
Player_RestrictResearchOption(playerIndex,"TURBOLASERSIII")
Player_RestrictResearchOption(playerIndex,"ION_CANNONSI")
Player_RestrictResearchOption(playerIndex,"ION_CANNONSII")
Player_RestrictResearchOption(playerIndex,"CONCUSSION_MISSILESI")
Player_RestrictResearchOption(playerIndex,"CONCUSSION_MISSILESII")
Player_RestrictResearchOption(playerIndex,"CONCUSSION_MISSILESIII")
Player_RestrictResearchOption(playerIndex,"PROTON_TORPEDOSI")
Player_RestrictResearchOption(playerIndex,"PROTON_TORPEDOSII")
Player_RestrictResearchOption(playerIndex,"HEAVY_ROCKETS")
Player_RestrictResearchOption(playerIndex,"TORPEDOSALVO")
Player_RestrictResearchOption(playerIndex,"ROCKETSALVO")
Player_RestrictResearchOption(playerIndex,"GRAV_WELLS")
Player_RestrictResearchOption(playerIndex,"SPACE_TROOPERS")
Player_RestrictResearchOption(playerIndex,"ADV_TECH")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESI")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESII")
Player_RestrictResearchOption(playerIndex,"SENSOR_STEALTH")
Player_RestrictResearchOption(playerIndex,"RAPID_FIRE_LASERS")
Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_A_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Action_IV")
Player_RestrictBuildOption(playerIndex,"Reb_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Transport")
Player_RestrictBuildOption(playerIndex,"Reb_B_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Bulk_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Bulwark_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Bulwark2_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_CC7700_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_CC9600_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Cloak_Probe")
Player_RestrictBuildOption(playerIndex,"Reb_Cloakshape")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Corvette")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Heavy_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Light_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Lt_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Patrol_Ship")
Player_RestrictBuildOption(playerIndex,"Reb_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Reb_Defender_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_DestroyerShipyard")
Player_RestrictBuildOption(playerIndex,"Reb_Dreadnaught")
Player_RestrictBuildOption(playerIndex,"Reb_E_wing")
Player_RestrictBuildOption(playerIndex,"Reb_ECM_Probe")
Player_RestrictBuildOption(playerIndex,"Reb_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Endurance_Carrier")
Player_RestrictBuildOption(playerIndex,"Reb_Escort_Shuttle")
Player_RestrictBuildOption(playerIndex,"Reb_Escort_Transport")
Player_RestrictBuildOption(playerIndex,"Reb_Ferret")
Player_RestrictBuildOption(playerIndex,"Reb_FighterShipyard")
Player_RestrictBuildOption(playerIndex,"Reb_Galofree_Transport")
Player_RestrictBuildOption(playerIndex,"Reb_Golan_III_Platform")
Player_RestrictBuildOption(playerIndex,"Reb_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Reb_Gun_Turret")
Player_RestrictBuildOption(playerIndex,"Reb_Haaj_Fleet_Tender")
Player_RestrictBuildOption(playerIndex,"Reb_Hapan_Battle_Dragon")
Player_RestrictBuildOption(playerIndex,"Reb_Heavy_Corvette")
Player_RestrictBuildOption(playerIndex,"Reb_Home_One_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Hyperspace_Detector")
Player_RestrictBuildOption(playerIndex,"Reb_Ion_Platform")
Player_RestrictBuildOption(playerIndex,"Reb_Ion_Turret")
Player_RestrictBuildOption(playerIndex,"Reb_Lambda_Shuttle")
Player_RestrictBuildOption(playerIndex,"Reb_Liberator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Long_Probe_Y_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Loronar_Strike_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Marauder_Corvette")
Player_RestrictBuildOption(playerIndex,"Reb_MC40_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC60_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80a_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80b2_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80b_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80c_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC90_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Mediator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Mining_Ship")
Player_RestrictBuildOption(playerIndex,"Reb_Missile_Platform")
Player_RestrictBuildOption(playerIndex,"Reb_Mole_Miner")
Player_RestrictBuildOption(playerIndex,"Reb_Nebula_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Nebulon_B_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Perimeter_Defense")
Player_RestrictBuildOption(playerIndex,"Reb_Proximity_Sensor")
Player_RestrictBuildOption(playerIndex,"Reb_Quasar_Fire")
Player_RestrictBuildOption(playerIndex,"Reb_R41")
Player_RestrictBuildOption(playerIndex,"Reb_Ranger_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Repair_Droid")
Player_RestrictBuildOption(playerIndex,"Reb_Republic_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_resourcecollector")
Player_RestrictBuildOption(playerIndex,"Reb_resourcecontroller")
Player_RestrictBuildOption(playerIndex,"Reb_Sacheen_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Skipray_Blastboat")
Player_RestrictBuildOption(playerIndex,"Reb_T_Wing")
Player_RestrictBuildOption(playerIndex,"Reb_Warrior_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_X_wing")
Player_RestrictBuildOption(playerIndex,"Reb_XJ_Wing")
Player_RestrictBuildOption(playerIndex,"Reb_XQ_1_Platform")
Player_RestrictBuildOption(playerIndex,"Reb_Y_wing")

Player_RestrictResearchOption(playerIndex,"FIGHTER_DESIGNSI")
Player_RestrictResearchOption(playerIndex,"FIGHTER_DESIGNSII")
Player_RestrictResearchOption(playerIndex,"FIGHTER_DESIGNSIII")
Player_RestrictResearchOption(playerIndex,"CORVETTE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_CORVETTE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"FRIGATE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_FRIGATE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"ADV_DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"PLATFORM_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_PLATFORM_DESIGNS")
Player_RestrictResearchOption(playerIndex,"TURBOLASERSI")
Player_RestrictResearchOption(playerIndex,"TURBOLASERSII")
Player_RestrictResearchOption(playerIndex,"TURBOLASERSIII")
Player_RestrictResearchOption(playerIndex,"ION_CANNONSII")
Player_RestrictResearchOption(playerIndex,"CONCUSSION_MISSILESII")
Player_RestrictResearchOption(playerIndex,"CONCUSSION_MISSILESIII")
Player_RestrictResearchOption(playerIndex,"PROTON_TORPEDOSII")
Player_RestrictResearchOption(playerIndex,"TORPEDOSALVO")
Player_RestrictResearchOption(playerIndex,"ROCKETSALVO")
Player_RestrictResearchOption(playerIndex,"GRAV_WELLS")
Player_RestrictResearchOption(playerIndex,"ADV_TECH")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESI")
Player_RestrictResearchOption(playerIndex,"SPACE_MINESII")
Player_RestrictResearchOption(playerIndex,"SENSOR_STEALTH")
end
elseif (era == "CLONEWARS") then
if(temp_race==6) then

Player_RestrictBuildOption(playerIndex,"Imp_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Imp_Allegiance_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Assassin_Corvette")
Player_RestrictBuildOption(playerIndex,"Imp_Assault_Gunboat")
Player_RestrictBuildOption(playerIndex,"Imp_Assault_Shuttle")
Player_RestrictBuildOption(playerIndex,"Imp_Cloak_Probe")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Gunship")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Heavy_Gunship")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Light_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Lt_Gunship")
Player_RestrictBuildOption(playerIndex,"Imp_Corellian_Patrol_Ship")
Player_RestrictBuildOption(playerIndex,"Imp_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Dominator_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Escort_Carrier")
Player_RestrictBuildOption(playerIndex,"Imp_Executor_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Golan_III_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Imp_Harrow_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Heavy_Corvette")
Player_RestrictBuildOption(playerIndex,"Imp_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Imp_Immobilizer_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_III_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Lancer_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Loronar_Strike_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Modular_Taskforce_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_mothership")
Player_RestrictBuildOption(playerIndex,"Imp_Nebulon_B_2_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Omicron_Transport")
Player_RestrictBuildOption(playerIndex,"Imp_Preybird")
Player_RestrictBuildOption(playerIndex,"Imp_Sovereign_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Avenger")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Bomber")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Defender")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Droid")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Interceptor")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Phantom")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Raptor")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Vanguard")
Player_RestrictBuildOption(playerIndex,"Imp_Titan_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Torpedo_Sphere")
Player_RestrictBuildOption(playerIndex,"Imp_Tyrant_Missile_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Vengence_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_World_Devastator")

Player_RestrictResearchOption(playerIndex,"GRAV_WELLS")
Player_RestrictResearchOption(playerIndex,"RAPID_FIRE_LASERS")
Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"Ben_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Ben_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Ben_Assault_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_CC7700_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_CC9600_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Heavy_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Light_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Lt_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Corellian_Patrol_Ship")
Player_RestrictBuildOption(playerIndex,"Ben_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Escort_Carrier")
Player_RestrictBuildOption(playerIndex,"Ben_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Ben_Heavy_Corvette")
Player_RestrictBuildOption(playerIndex,"Ben_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Ben_Loronar_Strike_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Preybird")
Player_RestrictBuildOption(playerIndex,"Ben_Ranger_Gunship")
Player_RestrictBuildOption(playerIndex,"Ben_Tiewing")
Player_RestrictBuildOption(playerIndex,"Ben_XTIE")
Player_RestrictBuildOption(playerIndex,"Ben_Y_wing")

Player_RestrictResearchOption(playerIndex,"GRAV_WELLS")
Player_RestrictResearchOption(playerIndex,"RAPID_FIRE_LASERS")
Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")

elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_A_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_B_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_CC7700_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_CC9600_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Heavy_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Light_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Lt_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Corellian_Patrol_Ship")
Player_RestrictBuildOption(playerIndex,"Reb_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Defender_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_E_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Endurance_Carrier")
Player_RestrictBuildOption(playerIndex,"Reb_Ferret")
Player_RestrictBuildOption(playerIndex,"Reb_Golan_III_Platform")
Player_RestrictBuildOption(playerIndex,"Reb_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Reb_Haaj_Fleet_Tender")
Player_RestrictBuildOption(playerIndex,"Reb_Hapan_Battle_Dragon")
Player_RestrictBuildOption(playerIndex,"Reb_Heavy_Corvette")
Player_RestrictBuildOption(playerIndex,"Reb_Home_One_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Liberator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Loronar_Strike_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC40_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC60_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80a_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80b2_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80b_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80c_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC90_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Mediator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Nebula_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Ranger_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Republic_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Sacheen_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Warrior_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_X_wing")
Player_RestrictBuildOption(playerIndex,"Reb_XJ_Wing")

Player_RestrictResearchOption(playerIndex,"GRAV_WELLS")
end
elseif (era == "ANH") then
if(temp_race==6) then

Player_RestrictBuildOption(playerIndex,"Imp_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Imp_Allegiance_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Assassin_Corvette")
Player_RestrictBuildOption(playerIndex,"Imp_Assault_Gunboat")
Player_RestrictBuildOption(playerIndex,"Imp_Cloak_Probe")
Player_RestrictBuildOption(playerIndex,"Imp_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Dominator_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Escort_Carrier")
Player_RestrictBuildOption(playerIndex,"Imp_Executor_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Golan_III_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Imp_Harrow_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Imp_Immobilizer_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_III_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Lancer_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Modular_Taskforce_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_mothership")
Player_RestrictBuildOption(playerIndex,"Imp_Nebulon_B_2_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Preybird")
Player_RestrictBuildOption(playerIndex,"Imp_Sovereign_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Avenger")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Defender")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Droid")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Phantom")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Raptor")
Player_RestrictBuildOption(playerIndex,"Imp_Tyrant_Missile_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Vengence_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_World_Devastator")

Player_RestrictResearchOption(playerIndex,"GRAV_WELLS")
Player_RestrictResearchOption(playerIndex,"RAPID_FIRE_LASERS")
Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"Ben_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Ben_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Ben_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Escort_Carrier")
Player_RestrictBuildOption(playerIndex,"Ben_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Ben_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Ben_Preybird")
Player_RestrictBuildOption(playerIndex,"Ben_Ranger_Gunship")

Player_RestrictResearchOption(playerIndex,"RAPID_FIRE_LASERS")
Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_A_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_B_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Defender_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_E_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Endurance_Carrier")
Player_RestrictBuildOption(playerIndex,"Reb_Ferret")
Player_RestrictBuildOption(playerIndex,"Reb_Golan_III_Platform")
Player_RestrictBuildOption(playerIndex,"Reb_Grav_Well_Mine")
Player_RestrictBuildOption(playerIndex,"Reb_Haaj_Fleet_Tender")
Player_RestrictBuildOption(playerIndex,"Reb_Hapan_Battle_Dragon")
Player_RestrictBuildOption(playerIndex,"Reb_Liberator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC60_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80a_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80b2_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80b_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80c_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC90_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Mediator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Nebula_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Ranger_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Republic_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Sacheen_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Warrior_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_XJ_Wing")
end
elseif (era == "HOTH") then
if(temp_race==6) then

Player_RestrictBuildOption(playerIndex,"Imp_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Imp_Allegiance_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Cloak_Probe")
Player_RestrictBuildOption(playerIndex,"Imp_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Dominator_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Harrow_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_III_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Modular_Taskforce_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Preybird")
Player_RestrictBuildOption(playerIndex,"Imp_Sovereign_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Droid")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Raptor")
Player_RestrictBuildOption(playerIndex,"Imp_Tyrant_Missile_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Vengence_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_World_Devastator")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"Ben_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Ben_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Ben_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Ben_Preybird")
Player_RestrictBuildOption(playerIndex,"Ben_Ranger_Gunship")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Defender_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_E_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Endurance_Carrier")
Player_RestrictBuildOption(playerIndex,"Reb_Ferret")
Player_RestrictBuildOption(playerIndex,"Reb_Haaj_Fleet_Tender")
Player_RestrictBuildOption(playerIndex,"Reb_Hapan_Battle_Dragon")
Player_RestrictBuildOption(playerIndex,"Reb_MC60_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80a_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80c_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC90_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Mediator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Nebula_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Ranger_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Republic_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Sacheen_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Warrior_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_XJ_Wing")
end
elseif (era == "ROTJ") then
if(temp_race==6) then

Player_RestrictBuildOption(playerIndex,"Imp_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Imp_Allegiance_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Imp_Dominator_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Harrow_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_III_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Modular_Taskforce_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Preybird")
Player_RestrictBuildOption(playerIndex,"Imp_Sovereign_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Droid")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Raptor")
Player_RestrictBuildOption(playerIndex,"Imp_Tyrant_Missile_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Vengence_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_World_Devastator")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"Ben_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Ben_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Ben_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Ben_Preybird")
Player_RestrictBuildOption(playerIndex,"Ben_Ranger_Gunship")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Balrus_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Corona_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Defender_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_E_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Endurance_Carrier")
Player_RestrictBuildOption(playerIndex,"Reb_Ferret")
Player_RestrictBuildOption(playerIndex,"Reb_Haaj_Fleet_Tender")
Player_RestrictBuildOption(playerIndex,"Reb_Hapan_Battle_Dragon")
Player_RestrictBuildOption(playerIndex,"Reb_MC60_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80a_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80c_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC90_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Mediator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Nebula_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Ranger_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Republic_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Sacheen_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Warrior_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_XJ_Wing")
end
				elseif (era == "PROTJ") then
        				if(temp_race==6) then

Player_RestrictBuildOption(playerIndex,"Imp_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Imp_Allegiance_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Harrow_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_III_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Modular_Taskforce_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Preybird")
Player_RestrictBuildOption(playerIndex,"Imp_Sovereign_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_TIE_Droid")
Player_RestrictBuildOption(playerIndex,"Imp_Tyrant_Missile_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Vengence_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_World_Devastator")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"Ben_A9_Interceptor")
Player_RestrictBuildOption(playerIndex,"Ben_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Ben_I7_Howlrunner")
Player_RestrictBuildOption(playerIndex,"Ben_Preybird")
Player_RestrictBuildOption(playerIndex,"Ben_Ranger_Gunship")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_E_wing")
Player_RestrictBuildOption(playerIndex,"Reb_Endurance_Carrier")
Player_RestrictBuildOption(playerIndex,"Reb_Haaj_Fleet_Tender")
Player_RestrictBuildOption(playerIndex,"Reb_Hapan_Battle_Dragon")
Player_RestrictBuildOption(playerIndex,"Reb_MC60_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC90_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Mediator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Nebula_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Ranger_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Republic_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Sacheen_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Warrior_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_XJ_Wing")
end
elseif (era == "DE") then
if(temp_race==6) then

Player_RestrictBuildOption(playerIndex,"Imp_Harrow_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_III_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Preybird")

					elseif(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"Ben_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Ben_Preybird")
Player_RestrictBuildOption(playerIndex,"Ben_Ranger_Gunship")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_Agrave_Picket")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Endurance_Carrier")
Player_RestrictBuildOption(playerIndex,"Reb_Haaj_Fleet_Tender")
Player_RestrictBuildOption(playerIndex,"Reb_Hapan_Battle_Dragon")
Player_RestrictBuildOption(playerIndex,"Reb_MC60_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Mediator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Nebula_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Ranger_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_Sacheen_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Warrior_Gunship")
Player_RestrictBuildOption(playerIndex,"Reb_XJ_Wing")
end
elseif (era == "PNJO") then
if(temp_race==6) then


					elseif(temp_race==4) then

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Hapan_Battle_Dragon")
Player_RestrictBuildOption(playerIndex,"Reb_MC60_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Nebula_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_XJ_Wing")
end
elseif (era == "FUNLIMITED") then
if(temp_race==6) then


elseif(temp_race==4) then

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
elseif(temp_race==7) then

end
end
end


			if (tonnage ~= "UNLIMITED") then
				if (tonnage == "SUPERCAP") then
if(temp_race==6) then

Player_RestrictBuildOption(playerIndex,"Imp_Executor_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_mothership")
Player_RestrictBuildOption(playerIndex,"Imp_Sovereign_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Vengence_SSD")


Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==4) then

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
end
				elseif (tonnage == "CRUISER") then
if(temp_race==6) then

Player_RestrictBuildOption(playerIndex,"Imp_Allegiance_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Imp_Executor_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_mothership")
Player_RestrictBuildOption(playerIndex,"Imp_Sovereign_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Titan_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Torpedo_Sphere")
Player_RestrictBuildOption(playerIndex,"Imp_Tyrant_Missile_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Vengence_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_World_Devastator")

Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"Ben_Bulwark_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Bulwark2_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_CruiserShipyard")

Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_Bulwark_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Bulwark2_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Reb_Home_One_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC80c_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Mediator_Cruiser")

Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")
end
				elseif (tonnage == "DESTROYER") then
if(temp_race==6) then

Player_RestrictBuildOption(playerIndex,"Imp_Allegiance_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Imp_Dominator_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Executor_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Golan_III_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_Harrow_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_III_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Modular_Taskforce_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_mothership")
Player_RestrictBuildOption(playerIndex,"Imp_Research_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_Sovereign_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Titan_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Torpedo_Sphere")
Player_RestrictBuildOption(playerIndex,"Imp_Tyrant_Missile_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Vengence_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Victory_I_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Victory_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_World_Devastator")
Player_RestrictBuildOption(playerIndex,"Imp_XQ_1_Platform")

Player_RestrictResearchOption(playerIndex,"DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"ADV_DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_PLATFORM_DESIGNS")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"Ben_Bulwark_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Bulwark2_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Ben_Victory_I_Destroyer")
Player_RestrictBuildOption(playerIndex,"Ben_Victory_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Ben_XQ_1_Platform")

Player_RestrictResearchOption(playerIndex,"DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"ADV_DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_PLATFORM_DESIGNS")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Bulwark_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Bulwark2_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Reb_Defender_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Endurance_Carrier")
Player_RestrictBuildOption(playerIndex,"Reb_Golan_III_Platform")
Player_RestrictBuildOption(playerIndex,"Reb_Hapan_Battle_Dragon")
Player_RestrictBuildOption(playerIndex,"Reb_Home_One_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC80_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80a_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80b2_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80b_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80c_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC90_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Mediator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Nebula_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Republic_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_XQ_1_Platform")


Player_RestrictResearchOption(playerIndex,"DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"ADV_DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_PLATFORM_DESIGNS")
end
				elseif (tonnage == "HEAVYFRIGATE") then
if(temp_race==6) then

Player_RestrictBuildOption(playerIndex,"Imp_Allegiance_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Imp_Dominator_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Dreadnaught")
Player_RestrictBuildOption(playerIndex,"Imp_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Enforcer_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Escort_Carrier")
Player_RestrictBuildOption(playerIndex,"Imp_Executor_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Golan_III_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_Harrow_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Immobilizer_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Imperator_III_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Modular_Taskforce_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_mothership")
Player_RestrictBuildOption(playerIndex,"Imp_Research_Platform")
Player_RestrictBuildOption(playerIndex,"Imp_Sovereign_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Titan_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Torpedo_Sphere")
Player_RestrictBuildOption(playerIndex,"Imp_Tyrant_Missile_Cruiser")
Player_RestrictBuildOption(playerIndex,"Imp_Vengence_SSD")
Player_RestrictBuildOption(playerIndex,"Imp_Victory_I_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_Victory_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Imp_World_Devastator")
Player_RestrictBuildOption(playerIndex,"Imp_XQ_1_Platform")

Player_RestrictResearchOption(playerIndex,"HEAVY_FRIGATE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"ADV_DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_PLATFORM_DESIGNS")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"Ben_Assault_Frigate")
Player_RestrictBuildOption(playerIndex,"Ben_Bulwark_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Bulwark2_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Ben_Dreadnaught")
Player_RestrictBuildOption(playerIndex,"Ben_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Ben_Victory_I_Destroyer")
Player_RestrictBuildOption(playerIndex,"Ben_Victory_II_Destroyer")
Player_RestrictBuildOption(playerIndex,"Ben_XQ_1_Platform")

Player_RestrictResearchOption(playerIndex,"HEAVY_FRIGATE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"ADV_DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_PLATFORM_DESIGNS")

Player_RestrictResearchOption(playerIndex,"TYRANT_ROCKETS")
Player_RestrictResearchOption(playerIndex,"CLOAK_GENERATOR")
Player_RestrictResearchOption(playerIndex,"DROID_TECH")
Player_RestrictResearchOption(playerIndex,"EXECUTOR_DESIGN")
Player_RestrictResearchOption(playerIndex,"VENEGEANCE_DESIGN")
Player_RestrictResearchOption(playerIndex,"SOVEREIGN_DESIGN")
					elseif(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Assault_Frigate")
Player_RestrictBuildOption(playerIndex,"Reb_Bulk_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Bulwark_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Bulwark2_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_CruiserShipyard")
Player_RestrictBuildOption(playerIndex,"Reb_Defender_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Dreadnaught")
Player_RestrictBuildOption(playerIndex,"Reb_Eidolon_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Endurance_Carrier")
Player_RestrictBuildOption(playerIndex,"Reb_Golan_III_Platform")
Player_RestrictBuildOption(playerIndex,"Reb_Hapan_Battle_Dragon")
Player_RestrictBuildOption(playerIndex,"Reb_Home_One_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC40_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC60_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80a_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80b2_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80b_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_MC80c_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_MC90_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Mediator_Cruiser")
Player_RestrictBuildOption(playerIndex,"Reb_Nebula_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_Republic_Destroyer")
Player_RestrictBuildOption(playerIndex,"Reb_XQ_1_Platform")


Player_RestrictResearchOption(playerIndex,"HEAVY_FRIGATE_DESIGNS")
Player_RestrictResearchOption(playerIndex,"DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"ADV_DESTROYER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"CRUISER_DESIGNS")
Player_RestrictResearchOption(playerIndex,"HEAVY_PLATFORM_DESIGNS")
end
				end
			end
		
		end	
		playerIndex = playerIndex+1
        end

	Rule_Remove("buildlimitRule")
end

function Resourcer_Kill(playerIndex)
local temp_race = Player_GetRace(playerIndex) 
if(temp_race==4) then
Player_RestrictBuildOption(playerIndex,"BEN_MOLE_MINER")
end
if(temp_race==6) then
Player_RestrictBuildOption(playerIndex,"IMP_MOLE_MINER")
end
if(temp_race==7) then
Player_RestrictBuildOption(playerIndex,"REB_MOLE_MINER")
end
Player_RestrictBuildOption(playerIndex,"HGN_RESOURCE_COLLECTOR")
Player_RestrictBuildOption(playerIndex,"VGR_RESOURCE_COLLECTOR")
end